# MSP::CCS::Sinusoidal Class Reference

`#include <Sinusoidal.h>`

Inheritance diagram for MSP::CCS::Sinusoidal:

List of all members.

## Public Member Functions

| Sinusoidal (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double falseEasting, double falseNorthing)
| Sinusoidal (const Sinusoidal &s)
| ~Sinusoidal (void)
Sinusoidal & | operator= (const Sinusoidal &s)
MapProjection3Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 95 of file Sinusoidal.h.

## Constructor & Destructor Documentation

Sinusoidal::Sinusoidal | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 128 of file Sinusoidal.cpp.

Sinusoidal::Sinusoidal | ( | const Sinusoidal & | s | ) |

Definition at line 231 of file Sinusoidal.cpp.

Sinusoidal::~Sinusoidal | ( | void |  | ) |

Definition at line 255 of file Sinusoidal.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Sinusoidal::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 309 of file Sinusoidal.cpp.

MSP::CCS::GeodeticCoordinates * Sinusoidal::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 369 of file Sinusoidal.cpp.

MapProjection3Parameters * Sinusoidal::getParameters | ( |  | ) | const

Definition at line 289 of file Sinusoidal.cpp.

Sinusoidal & Sinusoidal::operator= | ( | const Sinusoidal & | s | ) |

Definition at line 260 of file Sinusoidal.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/sinusoid/Sinusoidal.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/sinusoid/Sinusoidal.cpp